Skip to main content
POST

Authorizations

Api-Key
string
header
required

Pinecone API Key

Path Parameters

assistant_name
string
required

The name of the assistant to be described.

Body

application/json

The desired configuration to chat an assistant.

The list of queries / chats to chat an assistant

messages
object[]
required
stream
boolean
default:false

If false, the assistant will return a single JSON response. If true, the assistant will return a stream of responses.

model
enum<string>
default:gpt-4o

The large language model to use for answer generation

Available options:
gpt-4o,
gpt-4.1,
o4-mini,
claude-3-5-sonnet,
claude-3-7-sonnet,
gemini-2.5-pro
temperature
number<float>
default:0

Controls the randomness of the model's output: lower values make responses more deterministic, while higher values increase creativity and variability. If the model does not support a temperature parameter, the parameter will be ignored.

filter
object

Optionally filter which documents can be retrieved using the following metadata fields.

Example:
json_response
boolean
default:false

If true, the assistant will be instructed to return a JSON response. Cannot be used with streaming.

include_highlights
boolean
default:false

If true, the assistant will be instructed to return highlights from the referenced documents that support its response.

context_options
object

Controls the context snippets sent to the LLM.

Response

Search request successful.

The ChatModel describes the response format of a chat request from the citation api.

id
string
finish_reason
enum<string>
Available options:
stop,
length,
content_filter,
function_call
message
object

The MessageModel describes the format of a message in a chat.

model
string
citations
object[]
usage
object

The UsageModel describes the usage of a chat completion.